Subject: Re: merging multiple commit into one?

From: MALET Jean-Luc <[email-masked]>
Date: Tue, 12 May 2009 00:11:24 +0200

Heiko Voigt wrote:
> On Mon, May 11, 2009 at 03:21:27PM +0200, jean-luc malet wrote:
>   
>> according to my knowledge of git, removing the commit and rewriting
>> the last commit log so that it better reflect the modification will do
>> the job but I'm not sure git allow it...
>>     
>
> If you just want to get rid of the last commit
>
>   git reset HEAD^
>
> will remove the commit but keep your working directory untouched. In
> such a workflow I find it easier to start the new commit from zero than
> from the stashed stuff.
>
> By the way. You might also take a look at the command
>
>   git stash
>
> which is especially crafted for saving work in progress.
>
> cheers Heiko
>   
hi,
thanks, I know about git stash, the problem is that this command don't 
fits well when working on multiple copies of the sources on different 
locations, git stash is usefull for saving states before branching 
elsewhere and comming back to the branch and keep going on your work.... 
I use it in a different way since I  commit to continue work on a 
different pc, (so I commit, I push to some git archive, I pull from the 
other pc, and continue the work on the other pc, then commit push again 
and pull again on first pc....). As far as I know you can't push stashed 
information, I'm wrong?
thanks
JLM